Bug 56587 - hrStorage. does not report local hard disks
hrStorage. does not report local hard disks
Status: CLOSED RAWHIDE
Product: Red Hat Linux
Classification: Retired
Component: ucd-snmp (Show other bugs)
7.2
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Phil Knirsch
Brock Organ
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-11-21 08:23 EST by Need Real Name
Modified: 2015-03-04 20:09 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-11-21 08:23:09 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Need Real Name 2001-11-21 08:23:02 EST
From Bugzilla Helper:
User-Agent: Mozilla/4.78 [en] (X11; U; SunOS 5.8 sun4u)

Description of problem:
When listing the hrStorage subtree (or queying an entry in the subtree),
the local hard disks are missing.  Only real memory,virtual memory and swap
space get listed

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. snmpwalk localhost public hrStorage
or (e.g.) snmpget localhost public
host.hrStorage.hrStorageTable.hrStorageEntry.hrStorageSize.1
	

Actual Results:  host.hrStorage.hrMemorySize.0 = 127180 KBytes
host.hrStorage.hrStorageTable.hrStorageEntry.hrStorageIndex.101 = 101
host.hrStorage.hrStorageTable.hrStorageEntry.hrStorageIndex.102 = 102
host.hrStorage.hrStorageTable.hrStorageEntry.hrStorageIndex.103 = 103
... (skipped)


Expected Results:  snmpwalk localhost public hrStorage
host.hrStorage.hrMemorySize.0 = 126884 KBytes
host.hrStorage.hrStorageTable.hrStorageEntry.hrStorageIndex.1 = 1
host.hrStorage.hrStorageTable.hrStorageEntry.hrStorageIndex.2 = 2
host.hrStorage.hrStorageTable.hrStorageEntry.hrStorageIndex.3 = 3
host.hrStorage.hrStorageTable.hrStorageEntry.hrStorageIndex.4 = 4
host.hrStorage.hrStorageTable.hrStorageEntry.hrStorageIndex.5 = 5
host.hrStorage.hrStorageTable.hrStorageEntry.hrStorageIndex.6 = 6
host.hrStorage.hrStorageTable.hrStorageEntry.hrStorageIndex.7 = 7
host.hrStorage.hrStorageTable.hrStorageEntry.hrStorageIndex.8 = 8
host.hrStorage.hrStorageTable.hrStorageEntry.hrStorageIndex.9 = 9
host.hrStorage.hrStorageTable.hrStorageEntry.hrStorageIndex.10 = 10
host.hrStorage.hrStorageTable.hrStorageEntry.hrStorageIndex.11 = 11
...
host.hrStorage.hrStorageTable.hrStorageEntry.hrStorageDescr.1 = /
host.hrStorage.hrStorageTable.hrStorageEntry.hrStorageDescr.2 = /var
host.hrStorage.hrStorageTable.hrStorageEntry.hrStorageDescr.3 = /tmp
...

Additional info:

ucd-snmp 4.2.2-2 works flawlessly (downloaded from sourceforge)
Comment 1 Phil Knirsch 2002-01-29 09:03:25 EST
The latest version (4.2.3) is available via rawhide now. This should fix this
problem.

Thanks,

Read ya, Phil
Comment 2 John A. Barbuto 2002-02-15 13:31:37 EST
The updated SNMP RPM's for 7.2 (which are also 4.2.3) still have this problem...

# snmpwalk localhost public hrStorage

host.hrStorage.hrMemorySize.0 = 3702368 KBytes
host.hrStorage.hrStorageTable.hrStorageEntry.hrStorageIndex.101 = 101
host.hrStorage.hrStorageTable.hrStorageEntry.hrStorageIndex.102 = 102
host.hrStorage.hrStorageTable.hrStorageEntry.hrStorageIndex.103 = 103
...

# rpm -q --queryformat "%{VERSION}-%{RELEASE}" ucd-snmp
4.2.3-1.7.2.3

Note You need to log in before you can comment on or make changes to this bug.